VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   6345
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8055
   LinkTopic       =   "Form1"
   ScaleHeight     =   6345
   ScaleWidth      =   8055
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text3 
      Height          =   285
      Left            =   120
      TabIndex        =   3
      ToolTipText     =   "Key used in the Encryption / Decryption process."
      Top             =   5880
      Width           =   5775
   End
   Begin VB.CommandButton Command4 
      Caption         =   "&Hash (SHA-1)"
      Height          =   375
      Left            =   6120
      TabIndex        =   19
      ToolTipText     =   "Click here to calculate the Message Diggest of the text in the Source box using the SHA-1 algorithm. No key is necessary for this."
      Top             =   1560
      Width           =   1815
   End
   Begin VB.CommandButton Command3 
      Caption         =   "&Encrypt / Decrypt"
      Height          =   375
      Left            =   6120
      TabIndex        =   18
      ToolTipText     =   $"Form1.frx":0000
      Top             =   1080
      Width           =   1815
   End
   Begin VB.CommandButton Command2 
      Caption         =   "&Save Result to File"
      Height          =   375
      Left            =   6120
      TabIndex        =   17
      ToolTipText     =   "This option will save the contents of the Result box to a file."
      Top             =   600
      Width           =   1815
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Load Source from File"
      Height          =   375
      Left            =   6120
      TabIndex        =   16
      ToolTipText     =   "This option will load the contents of any file you specify in the Source box."
      Top             =   120
      Width           =   1815
   End
   Begin VB.Frame Frame3 
      Caption         =   "Encoding"
      Height          =   1455
      Left            =   6120
      TabIndex        =   12
      ToolTipText     =   "Set the encoding system used for the Message Diggest or the Encryption / Decryption process."
      Top             =   4800
      Width           =   1815
      Begin VB.OptionButton Option8 
         Caption         =   "He&xadecimal"
         Height          =   255
         Left            =   240
         TabIndex        =   15
         ToolTipText     =   "Hexadecimal encoding."
         Top             =   1080
         Width           =   1335
      End
      Begin VB.OptionButton Option7 
         Caption         =   "&Base64"
         Height          =   255
         Left            =   240
         TabIndex        =   14
         ToolTipText     =   "Base64 encoding."
         Top             =   720
         Width           =   1095
      End
      Begin VB.OptionButton Option6 
         Caption         =   "N&one"
         Height          =   255
         Left            =   240
         TabIndex        =   13
         ToolTipText     =   "No encoding."
         Top             =   360
         Value           =   -1  'True
         Width           =   855
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Algorithm"
      Height          =   1455
      Left            =   6120
      TabIndex        =   8
      ToolTipText     =   "Set the algorithm to use to encrypt or decrypt."
      Top             =   3240
      Width           =   1815
      Begin VB.OptionButton Option5 
         Caption         =   "DES-&56"
         Height          =   255
         Left            =   240
         TabIndex        =   11
         ToolTipText     =   "Set DES-56 as the algorithm to encrypt or decrypt."
         Top             =   1080
         Width           =   975
      End
      Begin VB.OptionButton Option4 
         Caption         =   "R&C4"
         Height          =   255
         Left            =   240
         TabIndex        =   10
         ToolTipText     =   "Set RC4 as the algorithm to encrypt or decrypt."
         Top             =   720
         Width           =   855
      End
      Begin VB.OptionButton Option3 
         Caption         =   "&RC2"
         Height          =   255
         Left            =   240
         TabIndex        =   9
         ToolTipText     =   "Set RC2 as the algorithm to encrypt or decrypt."
         Top             =   360
         Value           =   -1  'True
         Width           =   855
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Action"
      Height          =   1095
      Left            =   6120
      TabIndex        =   5
      ToolTipText     =   "Set the action to do when the Encrypt / Decrypt button in clicked or pressed."
      Top             =   2040
      Width           =   1815
      Begin VB.OptionButton Option2 
         Caption         =   "&Decrypt"
         Height          =   255
         Left            =   240
         TabIndex        =   7
         ToolTipText     =   "Set action to Decrypt"
         Top             =   720
         Width           =   975
      End
      Begin VB.OptionButton Option1 
         Caption         =   "E&ncrypt"
         Height          =   255
         Left            =   240
         TabIndex        =   6
         ToolTipText     =   "Set action to Encrypt"
         Top             =   360
         Value           =   -1  'True
         Width           =   975
      End
   End
   Begin VB.TextBox Text2 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2415
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      ToolTipText     =   "Result of the Encryption / Decryption process or the Message Diggest."
      Top             =   3120
      Width           =   5775
   End
   Begin VB.TextBox Text1 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2415
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      ToolTipText     =   "Text to Encrypt / Decrypt or to calculate the Message Diggest of."
      Top             =   360
      Width           =   5775
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Key"
      Height          =   195
      Left            =   120
      TabIndex        =   20
      Top             =   5640
      Width           =   270
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Result"
      Height          =   195
      Left            =   120
      TabIndex        =   4
      Top             =   2880
      Width           =   450
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Source"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   510
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private W0 As Single, H0 As Single

Private Sub Command1_Click()
    Dim sT As String
    sT = InputBox("Introduce the full path to the file to load:", "AR Crypto Library")
    If Trim(sT) <> "" Then
        Dim FA As New FileAccess
        Text1 = FA.File2Bin(sT)
    End If
End Sub

Private Sub Command2_Click()
    Dim sT As String
    sT = InputBox("Introduce the full path to the file to save:", "AR Crypto Library")
    If Trim(sT) <> "" Then
        Dim FA As New FileAccess
        FA.Bin2File sT, Text2
    End If
End Sub

Private Sub Command3_Click()
    Dim Encr As Object
    If Option3.Value Then
        Set Encr = New RC2
    ElseIf Option4.Value Then
        Set Encr = New RC4
    ElseIf Option5.Value Then
        Set Encr = New DES56
    End If
    Encr.Key = Text3
    Dim Temp As String
    Dim B64 As New Base64, HX As New Hexadecimal
    If Option1.Value Then
        Temp = Encr.Encrypt(Text1)
        If Option6.Value Then
            Text2 = Temp
        ElseIf Option7.Value Then
            Text2 = B64.Encode(Temp)
        ElseIf Option8.Value Then
            Text2 = HX.Bin2Hex(Temp)
        End If
    ElseIf Option2.Value Then
        If Option6.Value Then
            Text2 = Encr.Decrypt(Text1)
        ElseIf Option7.Value Then
            Text2 = Encr.Decrypt(B64.Decode(Text1))
        ElseIf Option8.Value Then
            Text2 = Encr.Decrypt(HX.Hex2Bin(Text1))
        End If
    End If
End Sub

Private Sub Command4_Click()
    Dim MD As New SHA1
    If Option6.Value Then
        Text2 = MD.Hash(Text1)
    ElseIf Option7.Value Then
        Dim B64 As New Base64
        Text2 = B64.Encode(MD.Hash(Text1))
    ElseIf Option8.Value Then
        Dim HX As New Hexadecimal
        Text2 = HX.Bin2Hex(MD.Hash(Text1))
    End If
End Sub

Private Sub Form_Load()
    W0 = Width
    H0 = Height
End Sub

Private Sub Form_Resize()
    If WindowState = 1 Then Exit Sub
    Dim ChH As Single, ChW As Single
    ChW = Width - W0
    ChH = Height - H0
    Text1.Move Text1.Left, Text1.Top, Text1.Width + ChW, Text1.Height + ChH / 2
    Text2.Move Text2.Left, Text2.Top + ChH / 2, Text2.Width + ChW, Text2.Height + ChH / 2
    Text3.Move Text3.Left, Text3.Top + ChH, Text3.Width + ChW
    Label2.Move Label2.Left, Label2.Top + ChH / 2
    Label3.Move Label3.Left, Label3.Top + ChH
    Command1.Move Command1.Left + ChW
    Command2.Move Command2.Left + ChW
    Command3.Move Command3.Left + ChW
    Command4.Move Command4.Left + ChW
    Frame1.Move Frame1.Left + ChW
    Frame2.Move Frame2.Left + ChW
    Frame3.Move Frame3.Left + ChW
    H0 = Height
    W0 = Width
End Sub
